%define name    gpa
%define version 0.4.3
%define release 1mdk

Summary:        The GNU Privacy Assistant
Name:           %{name}
Version:        %{version}
Release:        %{release}

Source0:        ftp://ftp.gnupg.org/pub/gcrypt/devel/%{name}-%{version}.tar.bz2

License:	GPL
Url:            http://www.gnupg.org/%{name}.html
Group:          File tools
BuildRoot:      %{_tmppath}/%{name}-buildroot
Requires:       gnupg

%description
The GNU Privacy Assistant is a graphical user interface for the
GNU Privacy Guard (GnuPG). GnuPG is a system that provides you with
privacy by encrypting emails or other documents and with
authentication of received files by signature management.

Install this package if you want to have an easy interface for GnuPG.

%prep

%setup -q

%build
%configure
%make

%install
rm -fr %buildroot

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}): \
command="gpa" \
icon="file_tools_section" \
title="Gpa"\
longtitle="A frontend for gnupg" \
needs="x11" \
section="Applications/File tools"
EOF
)  

%find_lang %name
%post
%{update_menus}
 
%postun
%{clean_menus}  

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README README-alpha THANKS TODO
#
%{_bindir}/gpa
#
%_menudir/*
#
%dir %_datadir/gpa/
%_datadir/gpa/gpa_logo.ppm
%_datadir/gpa/gpa_tips.de
%_datadir/gpa/gpa_tips.en
%_datadir/gpa/gtkrc


%changelog
* Tue Jan 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-1mdk
- 0.4.3

* Wed Dec 26 2001 David BAUDENS <baudens@mandrakesoft.com> 0.4.2-2mdk
- Use default file tools icon for menu entry
- Add missing files

* Mon Dec 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Thu Nov 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-3mdk
- rebuild

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.1-2mdk
- %%find_lang to get locales.
- Don't make /usr/share belong to the package.

* Sun Apr 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.4.1-1mdk
- Back in contribs built with a new and shiny source.
- s/I/j/ for the tar command during build.

* Mon Oct 02 2000 Daouda Lo <daouda@mandrakesoft.com> 0.3.1-6mdk
- add icons to menuentry

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-5mdk
- fix menu entry
* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-4mdk
- added %lang
* Wed Aug 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-3mdk
- add menu
* Wed Aug 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-2mdk
- fix requires
* Wed Jul 26 2000 Alexander Skwar <> 0.3.1-1mdk
- First Mandrake package

